// ------------------------------- stats object ----------------------------------------
function stats() {
   this.totalCalls=0;
   this.conversations=0;
   this.no1=0;
   this.no2=0;
}


// ------------------------------- task object ----------------------------------------

var TASKTYPE_NONE=-1;
var TASKTYPE_PROFILE=0;
var TASKTYPE_SELECTION=1;
var TASKTYPE_CALLING=2;
var TASKTYPE_MEETINGPLAN=3;
var TASKTYPE_REPORT=4;

function task(type,proj,subProject) {
   this.project=proj;
   this.subProject=subProject;
   this.type=type;
   this.isCompleted=false;
   this.assignedTo=NOTSET;
   this.startDate=new myDate();
   this.deadline=new myDate();
   this.helpers=new Array();   // of worker object indices

   // methods
   this.assignHelpers=assignHelpers;

   // method functions
   function assignHelpers(helperList) {
      for (var i=0;i<helperList.length;i++) {
         this.helpers.push(helperList[i]);
         worker[helperList[i]].tasks.push(this);
      }
   }
}


// ------------------------------- worker object ----------------------------------------
function worker(fullName,firstName,nickname,solveID,isMonkey,isCaller,isCoordinator,email,phone,mobile) {
   this.fullName=fullName;
   this.firstName=firstName;
   this.nickname=nickname;
   this.solveID=solveID;
   this.isMonkey=isMonkey;
   this.isCaller=isCaller;
   this.isCoordinator=isCoordinator;
   this.email=email;
   this.phone=phone;
   this.mobile=mobile;
   this.tasks=new Array();
}